Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface ExtendedRepository

All Superinterfaces
  Repository, Serializable

Deprecated As of 10.2, replaced by `RepositoryConfigOpsV1`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public interface ExtendedRepository

extends Repository

The Extended Repository interface allows users to use the extended functionality present In the content management system.

Method Summary
`void` | `createRepository(RepositoryConfig config)` Deprecated A method called when a new repository is created.
`void` | `removeRepository(String name)` Deprecated A method called when a repository is removed.
`void` | `updateRepository(RepositoryConfig config)` Deprecated A method called when a repository is configuration is updated.

Methods inherited from interface com.bea.content.spi.Repository
`connect, connect, getName, getProperties, setName, setProperties`

Method Detail

### createRepository

    void createRepository(RepositoryConfig config)
                          throws RepositoryException

  Deprecated
  A method called when a new repository is created. This method takes the `RepositoryConfig` object and allows custom actions to be performed at create time.

  Parameters
    `config` - The repository configuration
  Throws
    `RepositoryException` - if the creation operation fails.

### updateRepository

    void updateRepository(RepositoryConfig config)
                          throws RepositoryException

  Deprecated
  A method called when a repository is configuration is updated. This method taks the `RepositoryConfig` object and allows custom actions to be performed at update time.

  Parameters
    `config` - The repository configuration
  Throws
    `RepositoryException` - if the update operation fails.

### removeRepository

    void removeRepository(String name)
                          throws RepositoryException

  Deprecated
  A method called when a repository is removed. This method takes the name of the repository and allows custom actions to be performed at removal time.

  Parameters
    `name` - The name of the repository
  Throws
    `RepositoryException` - If the removal operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.